> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Passphrase

> Generate a passphrase from random words.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/password/generate-passphrase
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/password/generate-passphrase:
    get:
      tags:
        - Password Utilities
      summary: Generate Passphrase
      description: Generate a passphrase from random words.
      operationId: generate_passphrase_v1_password_generate_passphrase_get
      parameters:
        - name: words
          in: query
          required: false
          schema:
            type: integer
            maximum: 10
            minimum: 2
            description: Number of words
            default: 4
            title: Words
          description: Number of words
        - name: separator
          in: query
          required: false
          schema:
            type: string
            description: Word separator
            default: '-'
            title: Separator
          description: Word separator
        - name: capitalize
          in: query
          required: false
          schema:
            type: boolean
            description: Capitalize each word
            default: false
            title: Capitalize
          description: Capitalize each word
        - name: include_number
          in: query
          required: false
          schema:
            type: boolean
            description: Include a random number
            default: false
            title: Include Number
          description: Include a random number
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````